[Rubygems-developers] Config clash

Jim Weirich jim at weirichhouse.org
Wed Sep 15 09:45:26 EDT 2004

Chad Fowler said:
> On Sep 15, 2004, at 7:48 AM, Mauricio Fernández wrote:
>>  After all, RubyGems 0.8.0
>> is taking far longer than expected.
> Very good point.  Anything left?  The false alarm with executables held
> me back this weekend.  Then I went to work Monday morning and didn't go
> home until Tuesday afternoon. :)
> I've updated "Releases" in the root of the distribution's directory.
> If I don't hear anything negative (or nobody beats me to it) 0.8.0 will
> be out by the end of the day.

Are you going to make an update gem ... so that folks can update through a
gem install (+ one command line)?  There is a rake target for it.  If you
do ... remember to create the gem with RubyGems-0.7.0!  If you don't, I
will create one soon after you do the official release.

In the announcement, make sure you point out the 0.8.0 gems are not
compatible with pre-0.8.0 software and that they won't be able to install
gems once 0.8.0 gems start appearing. (But I'm sure you thought of this

-- Jim Weirich     jim at weirichhouse.org    http://onestepback.org
"Beware of bugs in the above code; I have only proved it correct,
not tried it." -- Donald Knuth (in a memo to Peter van Emde Boas)

More information about the Rubygems-developers mailing list